<html>
<head>
<title>Display User Tree</title>
<link rel="stylesheet" type="text/css" href="Assets/StyleSheet/AntigoneMain.css"/>

<!-- For browser detection -->
<script type="text/javascript" src="Assets/Foldertree/ua.js"></script>
<!-- For folder tree infrastructure-->
<script type="text/javascript" src="Assets/Foldertree/ftiens4.js"></script>
<!-- The tree structure to display-->
<script type="text/javascript" src="users/<%= session.getAttribute("user")%>/leftTree.js"></script>

<jsp:include page="/JspSupport/reloadLeftTree.jsp" flush="true"/>

<script type="text/javascript">
var focusObj;
var setObj;
var overObj;

function brMouseOver(branch)
{
	//window.alert("brMouseOver");
	
	if (overObj!=null && overObj!=branch && overObj!=focusObj) {
		overObj.className="brLabel";
	}
	if (focusObj==null || branch!=focusObj) {
		branch.className="brMouseOver";
		overObj=branch;	
	}
}

function brFocus(branch)
{
	//window.alert("brFocus");

	if (focusObj !=null && focusObj != branch) {
		focusObj.className="brLabel";
	}
	
	if (focusObj != branch) {
		branch.className="brCurrentHasFocus";
		focusObj=branch;
		setObj=branch.href;
	}
}

function brMouseOut (branch)
{
	//window.alert("brMouseOut");
	
	if (branch != focusObj) {
		branch.className="brLabel";
	}
	else branch.className="brCurrentHasFocus";
}

function addNewSet()
{
	//Check user has select a set.
	if ( focusObj==null ) {
		window.alert("User has not select a set.\nPlease select a set to indicate the new set parents.");
		return;
	}
	var setname=getSetName (setObj);
	var newSetName="Set";
	if (setname=="root")
		newSetName=window.prompt("Please enter the new attribute name :");
	window.location="/web/GUIcontroller.jsp?action=UpdateSetValue&subAction=addset&newSetName="+newSetName+"&parentSetName="+setname;
}

function deleteSet()
{
	//Check user has select a set.
	if ( focusObj==null ) {
		window.alert("User has not select a set.\nPlease select a set to indicate the new set parents.");
		return;
	}
	var setname=getSetName (setObj);

	if (setname=="root") {
		var deleteRoot=window.confirm("Are you sure you want to delete all the attributes?");
		if (deleteRoot==false) return;
	}
	window.location="/web/GUIcontroller.jsp?action=UpdateSetValue&subAction=delset&setName="+setname;
}

function modifySet()
{
	//Check user select a set.
	if (focusObj==null) {
		window.alert("User has not select a set.\nPlease select a set to indicate the new set parents.");
		return;	
	}
	var setName=getSetName(setObj);
	if ( setName.lastIndexOf("_") !=-1) {
		window.alert("User cannot change inner set name.");
		return;		
	}
	if (setName=="root") {
		window.alert("User cannot change root set name.");
		return;
	}
	var newSetName=window.prompt("Please enter the new set name.");
	if (newSetName==null) return;
	window.location="/web/GUIcontroller.jsp?action=UpdateSetValue&subAction=modset&setName="+setName+"&newSetName="+newSetName;
}

function getSetName(str)
{
	var retval=str.substring( str.lastIndexOf("=")+1, str.length);
	return retval;
}

</script>


<link rel="stylesheet" type="text/css" href="Assets/StyleSheet/foldertree.css"/>

</head>
	
	<body bgcolor="#FFFFCC">
		<!-- Build the browser's objects and display default view of the tree. -->
<div><table border=0><tr><td><font size=-2><a style="font-size:6pt;text-decoration:none;color:gray" href=http://www.mmartins.com target=_top></a></font></td></table>
 <table width="100%" border="0" cellpadding="20" cellspacing="0" class="a">
	<tr><b>User Policy Tree</b></tr>
	<tr>
      <td> 
        <script type="text/javascript">
			initializeDocument();
		</script>
      </td>
    </tr>
  </table>
</div>

</body>
</html>