package AntigoneUI.DB.requesthandlers;

import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

//Own application class
import AntigoneUI.*;
import AntigoneUI.DB.*;
import AntigoneUI.bean.*;

public class DB_userfile_RequestHandler implements DBRequestHandler
{
	private Connection connection=null;
	private static final String queryStr="SELECT * FROM USER_FILES WHERE id=?";
	
	//Need to initialize the db connection first before handling the request
	public void setConnection(Connection con) {
		connection=con;
	}
	
	public String handleRequest(HttpServletRequest request) throws AppException {
		HttpSession session=request.getSession();
		String userid=(String) session.getAttribute("id");
		
		//Executing the SQL statement
		ResultSet rs=null;
		try {
			PreparedStatement preparedStatement = connection.prepareStatement(queryStr);
			preparedStatement.setString(1, userid);
			rs=preparedStatement.executeQuery();

			//Setup the bean to pass the SQL result to the JSP page
			UserFileBean filebean=new UserFileBean();
			session.setAttribute(filebean.NAME, null);
			session.setAttribute(filebean.NAME, filebean);
			while (rs.next() ) {
				String filename=rs.getString("IsmeneFile");
				String xmlfilename=rs.getString("XMLFILE");
				filebean.setFilePair(filename, xmlfilename);
			}
		} catch (Exception e) {}
		return ("/userfileview.jsp");
	}
}