package AntigoneUI.GUI;

public class GUIDisplayItem
{
	private int type;
	private String display;
	private String value;
	
	//type variation
	public static final int TEXT=1;	//A textbox
	public static final int LINK=2;	// A link
	public static final int CHECKBOX=3;	//A check box
	public static final int NAMEVALUE=4;	// A name value pair
	public static final int FIXEDLINK=5;	//A link with a fixed name.
	
	public GUIDisplayItem(String display, String value, int type)
	{
		this.type=type;
		this.display=display;
		this.value=value;
	}
	
	public String getDisplay() {return display;}
	public String getValue() {return value;}
	public int getType() {return type;}
}