package AntigoneUI.DB.requesthandlers;

import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

//Own application class
import AntigoneUI.*;
import AntigoneUI.DB.*;

public class DB_LogOut_RequestHandler implements DBRequestHandler
{
	private Connection connection=null;
	
	//Need to initialize the db connection first before handling the request
	public void setConnection(Connection con) {
		connection=con;
	}
	
	public String handleRequest(HttpServletRequest request) throws AppException {
		if (connection==null) 
			throw new AppException("NULL DB connection in DBLoginRequestHandler.");
		
		HttpSession session=request.getSession();
		session.invalidate();
		
		return ("/");
	}
	
}