package AntigoneUI.DB.requesthandlers;

import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;
import java.io.*;
import java.util.*;

//Own application class
import AntigoneUI.*;
import AntigoneUI.DB.*;
import AntigoneUI.bean.*;

public class DB_delFile_RequestHandler implements DBRequestHandler
{
	private Connection connection;
	private static final String queryStr="DELETE FROM USER_FILES WHERE id=? AND IsmeneFile=?";
	
	//Need to initialize the db connection first before handling the request
	public void setConnection(Connection con) {
		connection=con;
	}
	
	public String handleRequest(HttpServletRequest request) throws AppException {
		
		//Get the required parameters
		HttpSession session=request.getSession();
		String fileName=request.getParameter("radiobutton");
		String user=(String)session.getAttribute("user");
		String id=(String)session.getAttribute("id");

		//Delete the file from user dir
		try {
			String sep=File.separator;
			String path=session.getServletContext().getRealPath("/users"+sep+user+sep+fileName);
			File delFile=new File(path);
			delFile.delete();
			
			//Delete the XML file.
			path+=".xml";
			delFile=new File(path);
			delFile.delete();
		} catch (Exception e) {
			throw new AppException ("Cannot delete user file!");
		}

		//Update the DB
		try {
			PreparedStatement preparedStatement1 = connection.prepareStatement(queryStr);
			preparedStatement1.setShort(1, Short.parseShort(id) );
			preparedStatement1.setString(2, fileName);
			preparedStatement1.executeUpdate();
		} catch (Exception e) {
			throw new AppException ("Cannot update user DB!");
		}

		return ("/request?action=DB_userfile_RequestHandler");
	}
}