package AntigoneUI.GUI.requesthandlers;

import AntigoneUI.GUI.*;
import AntigoneUI.*;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class GUI_showFile_RequestHandler implements GUIRequestHandler
{
	public String handleRequest (HttpServletRequest request) 
		throws AppException
	{
		//Get the file that the user want to open
		HttpSession session=request.getSession();
		String fileName=request.getParameter("radiobutton");

		if (fileName!=null) {
		
			//Form the file path
			String user=(String) session.getAttribute("user");
		
			String sep=File.separator;
			String path=session.getServletContext().getRealPath("/users"+sep+user);
		
			try {
				session.setAttribute("openFile", new File(path+sep+fileName+".xml"));
				new ViewTreeFactory (new File(path+sep+fileName+".xml") );
			} catch (Exception e) {
				throw new AppException ("Failed to create user leftTree for the following reason: <br/>"+e.getMessage() );
			}
		}
		else {
			try {
				new ViewTreeFactory( (File)session.getAttribute("openFile"));
			} catch (Exception e) {
				throw new AppException ("Failed to create user leftTree for the following reason: <br/>"+e.getMessage() );
			}
		}
		
		//Return the GUI page back to user
		return ("/GUIindex.htm");
	}
}